org.apache.ignite.internal.visor.diagnostic

## Class VisorPageLocksTrackerArgs

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.visor.diagnostic.VisorPageLocksTrackerArgs

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorPageLocksTrackerArgs
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorPageLocksTrackerArgs()`
`VisorPageLocksTrackerArgs(Operation op, String filePath, Set<String> nodeIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `filePath()`
`Set<String>` `nodeIds()`
`Operation` `operation()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorPageLocksTrackerArgs

    public VisorPageLocksTrackerArgs()

#### VisorPageLocksTrackerArgs

    public VisorPageLocksTrackerArgs(Operation op,
                                     String filePath,
                                     Set<String> nodeIds)

Parameters:
  `op` - Operation.
  `filePath` - File path.
  `nodeIds` - Set of ids.

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### operation

    public Operation operation()

#### filePath

    public String filePath()

#### nodeIds

    public Set<String> nodeIds()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020